#include<iostream>
using namespace std;

int knapsackValue(const int [], const int [], int, int, const bool []);

int main() {
    //get the number of items and the knapsack capacity
    int n = 0, B = 0;
    cin >> n >> B;
    //get the weight of items
    int* weight = new int[n];
    for(int i = 0; i < n; i++) {
        cin >> weight[i];
    }
    //get the value of items
    int* value=new int[n];
    for(int i = 0; i < n; i++) {
        cin >> value[i];
    }
    //get the given solution and the value of given solution
    //assume the best solution is given
    bool* sol = new bool[n];
    bool* bestSol = new bool[n];
    for(int i = 0; i < n; i++) {
    	cin >> sol[i];
    	bestSol[i] = sol[i];
	}
    int bestValue = knapsackValue(value, weight, B, n, sol);
    //neighbor solution
    bool* newSol = new bool[n];
    for(int i = 0; i < n; i++){
    	//generate a neighbor solution
    	for(int j = 0; j < n; j++){
    		if(j == i)
    			newSol[j] = 1-sol[j];
			else
				newSol[j] = sol[j];
		}
		//find the value of the neighbor solution by invoking knapsackValue
		int newSolValue = knapsackValue(value, weight, B, n, newSol);
		//if new solution is optimal, update best value and best solution
		if(newSolValue > bestValue){
			bestValue = newSolValue;
			for(int j = 0; j < n; j++)
				bestSol[j] = newSol[j];
		}
		//If the value of the new solution is equal to the best solution, we don't have to do anything,
		//because the best solution is already prior to the new solution.
	}
    //output the best solution
    for(int i = 0; i < n; i++){
    	if(i != n-1)
    		cout << bestSol[i] << " ";
    	else
    		cout << bestSol[i] << endl;
	}
    return 0;
}

int knapsackValue(const int value[], const int weight[], int B, int n, const bool sol[]){
	//calculate the weight and value generated by the given solution
	int weightOfSol=0;
	int valueOfSol=0;
	for(int i = 0; i < n; i++){
		weightOfSol += weight[i]*sol[i];
		valueOfSol += value[i]*sol[i]; 
	}
	//if not feasible
	if(weightOfSol > B)
		return -1;
	else
		return valueOfSol;
}
