#include<iostream>
using namespace std;
int knapsackValue(const int [], const int [], int, int, const bool []);

int main() {
    //get the number of items and the knapsack capacity
    int n = 0, B = 0;
    cin >> n >> B;
    //get the weight of items
    int* weight = new int[n];
    for(int i = 0; i < n; i++) {
        cin >> weight[i];
    }
    //get the value of items
    int* value=new int[n];
    for(int i = 0; i < n; i++) {
        cin >> value[i];
    }
	//start from the solution selecting no item
	//assume it is the best solution
	bool* sol = new bool[n];
    bool* bestSol = new bool[n];
    for(int i = 0; i < n; i++) {
		sol[i]=bestSol[i]=0;
	}
	int bestValue = 0;
	//assume there is a better candidate solution
	bool findBest = false;
	
	//find the better solution until none of the neighbor gives any improvement
	while(!findBest){
		//neighbor solution
	    bool* newSol = new bool[n];
	    bool change=false;
	    for(int i = 0; i < n; i++){
	    	//generate neighbor solution
	    	for(int j = 0; j < n; j++){
	    		if(j == i)
	    			newSol[j] = 1-sol[j];
				else
					newSol[j] = sol[j];
			}
			//find the value of the neighbor solution by invoking knapsackValue
			int newSolValue = knapsackValue(value, weight, B, n, newSol);
			//if new solution is optimal, update best value and best solution
			if(newSolValue > bestValue){
				bestValue = newSolValue;
				for(int j = 0; j < n; j++){
					bestSol[j] = newSol[j];
				}
				//there is a neighbor that is better than the current solution
				change = true;
			}
			//If the value of the new solution is equal to the best solution, we don't have to do anything,
			//because the best solution is already prior to the new solution.
		}
		//If we cannot find any neighbor better than the current solution,
		//it means that we have found the best solution. Stop the while loop.
		if(!change){
			findBest = true;
		}
		//if we found a neighbor that is better, update the current solution
		else{
			for(int i = 0; i < n; i++){
	    		sol[i]=bestSol[i];
			}
		}
	}
    //output the best solution
    for(int i = 0; i < n; i++){
    	if(i != n-1)
    		cout << bestSol[i] << " ";
    	else
    		cout << bestSol[i] << endl;
	}
    return 0;
}

int knapsackValue(const int value[], const int weight[], int B, int n, const bool sol[]){
	//calculate the weight and value generated by the given solution
	int weightOfSol=0;
	int valueOfSol=0;
	for(int i = 0; i < n; i++){
		weightOfSol += weight[i]*sol[i];
		valueOfSol += value[i]*sol[i]; 
	}
	//if not feasible
	if(weightOfSol > B)
		return -1;
	else
		return valueOfSol;
}
